#!/bin/bash

DATE=`date +%Y%m%d`
VERSION=1.1.11.rc1
PKGNAME=389-admin
TAG=${TAG:-$PKGNAME-$VERSION}
SRCNAME=${PKGNAME}-${VERSION}
echo you must be in the admin server git repo to use this
test -d .git || {echo bye ; exit 1 }
if [ -z "$1" ] ; then
	dir=.
else
	dir="$1"
fi
git archive --prefix=$SRCNAME/ $TAG | bzip2 > $dir/$SRCNAME.tar.bz2
