Name:           fedora-easy-karma
Version:        0
Release:        0.3.20100306git00fc20aa%{?dist}
Summary:        Fedora update feedback made easy

Group:          Development/Tools
License:        GPLv2+
URL:            https://fedoraproject.org/wiki/Fedora_Easy_Karma

#VCS: git:git://fedorapeople.org/home/fedora/till/public_git/fedora-easy-karma.git
## current tarball
# http://fedorapeople.org/gitweb?p=till/public_git/fedora-easy-karma.git;a=tree
# Updated using a patched version of:
# http://fedorapeople.org/gitweb?p=walters/public_git/fedpkg-make-pull.git;a=summary
# Commandline: fedpkg-vcs -f pull-update
# Patches (available until merged upstream):
# http://till.fedorapeople.org/fedpkg-vcs-patches/
Source0:        fedora-easy-karma-0git00fc20aa958fbb43ffaf9c62ca60e1857cd04193.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       python-fedora
# contains fedora_cert python module
Requires:       fedora-packager >= 0.4.0
# for yum python module
Requires:       yum

%description
Fedora-easy-karma helps you to easily and fast provide feedback for all testing
updates that you have currently installed.


%prep
%setup -q -n fedora-easy-karma-0git00fc20aa958fbb43ffaf9c62ca60e1857cd04193


%build
# nothing to do


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc gpl-2.0.txt gpl-3.0.txt
%{_bindir}/fedora-easy-karma


%changelog
* Sat Mar 06 2010 Till Maas <opensource@till.name> - 0-0.3.20100306git00fc20aa
- Use short githash
- Update to new snapshot

* Sat Mar 06 2010 Till Maas <opensource@till.name> - 0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983
- Use fedpkg-vcs to manage snapshots
- Update to new snapshot

* Fri Mar 05 2010 Till Maas <opensource@till.name> - 0-0.1.20100305
- initial spec for Fedora
