Name:           perl-SVG
Version:        2.32
Release:        2
Summary:        An extention to generate stand-alone or inline SVG.

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/SVG/
Source0:        http://www.cpan.org/authors/id/R/RO/RONAN/SVG-2.32.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
SVG.pm is a perl extention to generate stand-alone or inline SVG
(scaleable vector graphics) images using the W3C SVG xml recommendation.

%prep
%setup -q -n SVG-%{version}

# avoid extra dependencies
chmod 644 examples/*


%build
cat<<EOT

Build disabled. Package is without maintainer and has never been built before.

EOT
exit 1
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README Changes examples
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Wed Apr 06 2005 Hunter Matthews <thm@duke.edu> 2.32-2
- Review suggestions from José Pedro Oliveira

* Fri Mar 18 2005 Hunter Matthews <thm@duke.edu> 2.32-1
- Initial packaging.
