%define packrel  0
%define packname hdf5

Name: R-%{packname}
Version: 1.6.0
Release: 1%{?dist}
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}.tar.gz
License: GPLv2+
URL: http://cran.r-project.org/contrib
Group: Applications/Engineering
Summary: Interface to the NCSA HDF5 library
BuildRequires: R-devel, tetex-latex, hdf5-devel, zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
R package:
Interface to the NCSA HDF5 library

%prep
%setup -T -c -a 0

%build
cp %{packname}/DESCRIPTION .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
%{_bindir}/R CMD check %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/R CMD perl %{_libdir}/R/share/perl/build-help.pl --htmllists
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%postun
%{_bindir}/R CMD perl %{_libdir}/R/share/perl/build-help.pl --htmllists
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%files
%doc DESCRIPTION
%{_libdir}/R/library/%{packname}

%changelog
* Mon Jul 4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.0-1
- Initial package creation

